/*
  Copyright (c) 2004-2011 The FlameRobin Development Team

  Permission is hereby granted, free of charge, to any person obtaining
  a copy of this software and associated documentation files (the
  "Software"), to deal in the Software without restriction, including
  without limitation the rights to use, copy, modify, merge, publish,
  distribute, sublicense, and/or sell copies of the Software, and to
  permit persons to whom the Software is furnished to do so, subject to
  the following conditions:

  The above copyright notice and this permission notice shall be included
  in all copies or substantial portions of the Software.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
  IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
  CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
  TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
  SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


  $Id$

*/

#ifndef TRIGGERWIZARDDIALOG_H
#define TRIGGERWIZARDDIALOG_H
//-----------------------------------------------------------------------------
#include <wx/wx.h>
#include <wx/image.h>
#include <wx/spinctrl.h>

#include "gui/BaseDialog.h"
//-----------------------------------------------------------------------------
class Relation;
//-----------------------------------------------------------------------------
class TriggerWizardDialog: public BaseDialog
{
public:
    TriggerWizardDialog(wxWindow* parent, Relation* relation);
    wxString getSqlStatement() const;

private:
    Relation* relationM;
    void set_properties();
    void do_layout();

protected:
    wxStaticText* label_1;
    wxTextCtrl* text_ctrl_1;
    wxCheckBox* checkbox_1_copy;
    wxRadioBox* radio_box_1_copy;
    wxCheckBox* checkbox_insert;
    wxCheckBox* checkbox_update;
    wxCheckBox* checkbox_delete;
    wxStaticText* label_2;
    wxSpinCtrl* spin_ctrl_1;
    wxButton* button_ok;
    wxButton* button_cancel;
    virtual const wxString getName() const;
private:
    void OnOkButtonClick(wxCommandEvent& event);

    DECLARE_EVENT_TABLE()
};
//-----------------------------------------------------------------------------
#endif // TRIGGERWIZARDDIALOG_H
